Subject: (ngtrans) draft-ietf-ngtrans-ipv4survey-01.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 17 Aug 2001 16:58:01 +0200

Section 5.367 is incorrect. See my comments indented with >>

5.367 RFC 2576 Coexistence between Version 1 Version 2 and Version
      3 of the Internet-standard Network Management Framework (SNMP)

This document states:

   (11) For any object with a SYNTAX of NetworkAddress, the SYNTAX MUST
        be changed to IpAddress.  Note that the use of NetworkAddress in
        new MIB documents is strongly discouraged (in fact, new MIB
        documents should be written using SMIv2, which does not define
        NetworkAddress).

>> It does indeed state that, This is such that if old MIBs need to be
>> made available in the new SMIv2 format, then this is what people
>> need to do.

and defines the OID:

snmpTrapAddress OBJECT-TYPE
    SYNTAX      IpAddress
    MAX-ACCESS  accessible-for-notify
    STATUS      current
    DESCRIPTION
        "The value of the agent-addr field of a Trap PDU which
         is forwarded by a proxy forwarder application using
         an SNMP version other than SNMPv1.  The value of this
         object SHOULD contain the value of the agent-addr field
         from the original Trap PDU as generated by an SNMPv1
         agent."
    ::= { snmpCommunityMIBObjects 3 }

>> This again is such that old SNMPv1 traps can be converted to
>> SNMPv2/v3 and that the IPv4 address (which was the only IP
>> address that could be used in SNMPv1) can be passed along.

This clearly points out a lack of IPv6 awareness in this protocol.

>> so this conclusion is wrong.
>> I believe that this RFC is NOT IPv4 dependent or specific.

Bert